Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233741 (perl-Math-Derivative) - Review Request: perl-Math-Derivative - Numeric 1st and 2nd order differentiation
Summary: Review Request: perl-Math-Derivative - Numeric 1st and 2nd order differentiation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Math-Derivative
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-SVG-Graph
TreeView+ depends on / blocked
 
Reported: 2007-03-24 13:06 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 06:09:42 UTC
cweyl: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-24 13:06:17 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative.spec
SRPM URL:  http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative-0.01-1.src.rpm
Description: 
This Perl package exports functions for performing numerical first
(Derivative1) and second Derivative2) order differentiation on vectors of
data. They both take references to two arrays containing the x and y
ordinates of the data and return an array of the 1st or 2nd derivative at
the given x ordinates. Derivative2 may optionally be given values to use
for the first dervivative at the start and end points of the data -
otherwise 'natural' values are used.

Comment 1 Chris Weyl 2007-03-26 00:48:56 UTC
Note, module is only licensed via a note in README.  You may want to bug
upstream about adding actual "this is licensed under..." text into
Derivitave.pm itself.

Also, this package needs a buildrequires on perl(ExtUtils::MakeMaker), what
with the perl/perl-devel split for F7.  Add this and I'll approve the package.

+ source files match upstream:
359b1b4b545c03f4147594fc64420a2  Math-Derivative-0.01.tar.gz
a359b1b4b545c03f4147594fc64420a2  ../Math-Derivative-0.01.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+package installs properly
+noarch package, no debuginfo subpackage
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Math-Derivative-0.01-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Math::Derivative)  
 perl-Math-Derivative = 0.01-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Exporter)  
 perl(strict) 
O %check is present -- no tests defined
 No tests defined for Math::Derivative extension.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 2 Alex Lancaster 2007-03-26 01:28:54 UTC
Updates as per comment #1:

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-Math-Derivative-0.01-2.src.rpm

Will also bug upstream about licensing issue.

Comment 3 Chris Weyl 2007-03-26 14:55:57 UTC
APPROVED

Comment 4 Alex Lancaster 2007-03-27 01:38:25 UTC
New Package CVS Request
=======================
Package Name: perl-Math-Derivative
Short Description: Numeric 1st and 2nd order differentiation
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 5 Alex Lancaster 2007-03-27 06:09:42 UTC
Builds successfully in all branches.  Closing.


Note You need to log in before you can comment on or make changes to this bug.